Generation Framework

## org.eclipse.gmf.gmfgraph
Interface GridLayout

All Superinterfaces:
  EObject, Layout, Notifier

All Known Implementing Classes:
  GridLayoutImpl

public interface GridLayout
extends Layout

A representation of the model object 'Grid Layout'.

The following features are supported:

- `Num Columns`
- `Equal Width`
- `Margins`
- `Spacing`

See Also:
  `GMFGraphPackage.getGridLayout()`
** Generated **
Model:

Method Summary
`Dimension` `getMargins()` Returns the value of the 'Margins' containment reference
`int` `getNumColumns()` Returns the value of the 'Num Columns' attribute.
`Dimension` `getSpacing()` Returns the value of the 'Spacing' containment reference
`boolean` `isEqualWidth()` Returns the value of the 'Equal Width' attribute.
`void` `setEqualWidth(boolean value)` Sets the value of the '`Equal Width`' attribute
`void` `setMargins(Dimension value)` Sets the value of the '`Margins`' containment reference
`void` `setNumColumns(int value)` Sets the value of the '`Num Columns`' attribute
`void` `setSpacing(Dimension value)` Sets the value of the '`Spacing`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNumColumns

    public int getNumColumns()

  Returns the value of the 'Num Columns' attribute. The default value is `"1"`.

  If the meaning of the 'Num Columns' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Num Columns' attribute.
  See Also:
    `GridLayout.setNumColumns(int)`, `GMFGraphPackage.getGridLayout_NumColumns()`
  ** Generated **
  Model:
    default="1" required="true"

### setNumColumns

    public void setNumColumns(int value)

  Sets the value of the '`Num Columns`' attribute.

  Parameters:
    `value` - the new value of the 'Num Columns' attribute.
  See Also:
    `GridLayout.getNumColumns()`
  ** Generated **

### isEqualWidth

    public boolean isEqualWidth()

  Returns the value of the 'Equal Width' attribute. The default value is `"true"`.

  If the meaning of the 'Equal Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Equal Width' attribute.
  See Also:
    `GridLayout.setEqualWidth(boolean)`, `GMFGraphPackage.getGridLayout_EqualWidth()`
  ** Generated **
  Model:
    default="true" required="true"

### setEqualWidth

    public void setEqualWidth(boolean value)

  Sets the value of the '`Equal Width`' attribute.

  Parameters:
    `value` - the new value of the 'Equal Width' attribute.
  See Also:
    `GridLayout.isEqualWidth()`
  ** Generated **

### getMargins

    public Dimension getMargins()

  Returns the value of the 'Margins' containment reference.

  If the meaning of the 'Margins' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Margins' containment reference.
  See Also:
    `GridLayout.setMargins(Dimension)`, `GMFGraphPackage.getGridLayout_Margins()`
  ** Generated **
  Model:
    containment="true"

### setMargins

    public void setMargins(Dimension value)

  Sets the value of the '`Margins`' containment reference.

  Parameters:
    `value` - the new value of the 'Margins' containment reference.
  See Also:
    `GridLayout.getMargins()`
  ** Generated **

### getSpacing

    public Dimension getSpacing()

  Returns the value of the 'Spacing' containment reference.

  If the meaning of the 'Spacing' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Spacing' containment reference.
  See Also:
    `GridLayout.setSpacing(Dimension)`, `GMFGraphPackage.getGridLayout_Spacing()`
  ** Generated **
  Model:
    containment="true"

### setSpacing

    public void setSpacing(Dimension value)

  Sets the value of the '`Spacing`' containment reference.

  Parameters:
    `value` - the new value of the 'Spacing' containment reference.
  See Also:
    `GridLayout.getSpacing()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.